Summary: A gtk2 frontend for rdesktop
Name: grdesktop
Version: 0.23
Release: %mkrel 19
Group: Networking/Remote access
License: GPLv2+
URL: https://www.nongnu.org/grdesktop/
Source0: %{name}-%{version}.tar.bz2
Patch0: grdesktop-0.23-desktopentry.patch
Patch1: grdesktop-0.23-format-strings.patch
Patch2: grdesktop-0.23-fix-desktop.patch
Patch3: grdesktop-fix-building-with-gcc14.patch
# Debian patches
Patch101: 01_gettext.diff
Patch102: 02_iter.diff
Patch104: 04_typos.diff
Patch106: 06_no-libgnome.diff
Patch107: 07_avoid-scrollkeeper.diff
Patch108: 08_gsettings-port.diff
BuildRequires: gettext-devel
BuildRequires: imagemagick
BuildRequires: pkgconfig(gtk+-2.0)
Requires: rdesktop

%description
grdesktop is a frontend, written in C using the GTK+ 2 toolkit, for
the remote desktop client (rdesktop).
It can save several connections (including their options), and browse
the network for available terminal servers.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%define _legacy_common_support 1
%configure --with-keymap-path=%_datadir/rdesktop/keymaps
%make_build

%install
%make_install

%find_lang %name --with-gnome

mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name/icon.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 pixmaps/icon.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 pixmaps/icon.png %buildroot%_miconsdir/%name.png

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/grdesktop
%{_mandir}/man1/grdesktop.1*
%{_datadir}/application-registry/grdesktop.applications
%{_datadir}/applications/grdesktop.desktop
%{_datadir}/GConf/gsettings/grdesktop.convert
%{_datadir}/glib-2.0/schemas/org.nongnu.grdesktop.gschema.xml
%{_datadir}/mime-info/grdesktop.keys
%{_datadir}/mime-info/grdesktop.mime
%{_datadir}/pixmaps/grdesktop/
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png



%changelog
* Wed Oct 16 2024 ns80 <ns80> 0.23-19.mga10
+ Revision: 2107306
- try to fix building with GCC 14

* Thu Mar 31 2022 umeabot <umeabot> 0.23-18.mga9
+ Revision: 1836750
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 joequant <joequant> 0.23-17.mga8
+ Revision: 1599970
- fix gcc10 build

* Fri Feb 14 2020 umeabot <umeabot> 0.23-16.mga8
+ Revision: 1521133
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 16 2018 wally <wally> 0.23-15.mga7
+ Revision: 1341645
- add Debian patches
  - build without libgnome2
  - build without scrollkeeper
  - port to gsettings
  - other misc fixes

* Sun Sep 23 2018 umeabot <umeabot> 0.23-14.mga7
+ Revision: 1298071
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Wed Feb 03 2016 umeabot <umeabot> 0.23-13.mga6
+ Revision: 933607
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.23-12.mga5
+ Revision: 740260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.23-11.mga5
+ Revision: 679934
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.23-10.mga4
+ Revision: 517159
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 dmorgan <dmorgan> 0.23-9.mga3
+ Revision: 361314
- Fix desktop file
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 06 2011 ennael <ennael> 0.23-8.mga1
+ Revision: 81308
- clean spec file
- imported package grdesktop


* Sat Jul 25 2009 Götz Waschk <waschk@mandriva.org> 0.23-8mdv2010.0
+ Revision: 399672
- fix format strings
- update license

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.23-7mdv2009.0
+ Revision: 246636
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.23-5mdv2008.1
+ Revision: 148199
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Götz Waschk <waschk@mandriva.org> 0.23-5mdv2008.0
+ Revision: 91369
- fix desktop entry (bug #33760)

* Wed Jul 25 2007 Götz Waschk <waschk@mandriva.org> 0.23-4mdv2008.0
+ Revision: 55229
- Import grdesktop



* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.23-4mdv2007.0
- xdg menu

* Sun May 14 2006 Götz Waschk <waschk@mandriva.org> 0.23-3mdk
- Rebuild
- use mkrel

* Fri May 13 2005 Götz Waschk <waschk@mandriva.org> 0.23-2mdk
- drop obsolete gnome help file handling
- fix menu

* Fri Apr  2 2004 Götz Waschk <waschk@linux-mandrake.com> 0.23-1mdk
- fix installation of the locale files
- fix build
- new version

* Fri Feb  6 2004 Götz Waschk <waschk@linux-mandrake.com> 0.22-2mdk
- fix rdesktop keymap location

* Thu Feb  5 2004 Götz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- initial Mandrake package

* Tue Nov 12 2002 Che
- version upgrade
- prettyfied it a bit :P

* Fri Nov 01 2002 Che
- initial rpm release
